1. 다시시작

No Apache MPM package installed
일단 apt-get update부터

apt-get install apache2
설정은 모두 그대로 두기로

 ... error processing php5-cgi

2. error while loading shared libraries: libaprutil-1.so.0: cannot open shared object file: No such file or directory
일단 apt-get -f install로
libapache2-mod-php5 설치하기
에러 다수
python2.7-minimal 포함해서..
다시 apt-get -f install하면 안되네

3. http://packages.ubuntu.com/en/maverick-updates/i386/libaprutil1/filelist

apt-get install libaprutil1

4. libapr-1.so.0: cannot open shared object file: No such file or directory

http://packages.ubuntu.com/maverick/i386/libapr1/filelist
apt-get install libapr1

5. mod_dav_svn.so: cannot open shared object file: No such file or directory
http://packages.ubuntu.com/hardy/i386/libapache2-svn/filelist
apt-get install libapache2-svn

아 울고 싶다 언제까지 따라가야 하지.. ㅠㅠ

6. libsvn_repos-1.so.1: cannot open shared object file: No such file or directory

http://packages.ubuntu.com/maverick-updates/i386/libsvn1/filelist

apt-get install libsvn1

7. libldap_r-2.4.so.2: cannot open shared object file: No such file or directory

http://packages.ubuntu.com/eo/hardy/i386/libldap-2.4-2/filelist

apt-get install libldap-2.4-2


8. http://packages.ubuntu.com/natty/i386/libsasl2-2/filelist
apt-get install  libsasl2-2

9. http://packages.ubuntu.com/natty/i386/libgssapi-krb5-2/filelist
apt-get install libgssapi-krb5-2

10. http://packages.ubuntu.com/natty/i386/libgnutls26/filelist
libgnutls26

11. libkeyutils.so.1
http://packages.ubuntu.com/natty/amd64/ia32-libs/filelist

ia32-libs -> 설치 안됨 amd 64용인데 32bit 설치해서 그런듯
http://packages.ubuntu.com/lucid/i386/libkeyutils1/filelist

libkeyutils1

12. libtasn1.so.3
 http://packages.ubuntu.com/maverick/i386/libtasn1-3/filelist
libtasn1-3

13. mod_passenger.so
http://packages.ubuntu.com/natty/i386/libapache2-mod-passenger/filelist
libapache2-mod-passenger

ruby1.8 libruby1.8 rubygems1.8 rubygems librac-ruby libjs-prototype libapache2_mod_passenger가 dependency로 같이 설치되었지만 오류는 반복

일단 오류 기록하면
syntax error on line 1 of /etc/apache2/mods-enabled/mod_rails.load: Cannot load /usr/lib/ruby/gens/1.8/gems/passenger-2.2.5/ext/apache2/mod_passenger.so into server: /usr/lib/lruby/gems/1.8/gems/passenger-2.2.5/ext/apache2/mod_passenger.so: cannot open shared object file: No such file or directory

어쨌든 RubyOnRails 문제니 이 문서를 따라해보기로
https://help.ubuntu.com/community/RubyOnRails
문서가 오래되었으니 다음 문서도 번갈아 참조

http://www.modrails.com/install.html

http://www.modrails.com/documentation/Users%20guide%20Apache.html#_installing_upgrading_and_uninstalling_phusion_passenger

일단 rubygems 부터
apt-get install rubygems

sh: make: not found  error 발생

apt-get install make

gcc: Command not found  발생

apt-get install gcc

error while loading shared libraries libmpfr.so.4: cannot open shared object file: No such file or directory
http://packages.ubuntu.com/natty/i386/libmpfr4/filelist
apt-get install libmpfr4

libgmp.so.3
http://packages.ubuntu.com/hardy/i386/libgmp3c2/filelist
apt-get install libgmp3c2

libelf.so.0
http://packages.ubuntu.com/maverick/i386/libelfg0/filelist
libelfg0

해결안됨
의존하는 libc6를 대신 설치시도 실패
libelf 만 설치해보기로 > 그런 패키지 없음

그러면
gem install passenger-2.2.5.gem 으로 시도 실패
gem install passenger-2.2.5도 그런 패키지 없단다
apt-get install libelfg0
http://packages.ubuntu.com/km/natty/i386/libelfg0/filelist
libelfg0 is already the newest version

한번 재부팅 후 다시

안된다.


Posted by 세레

댓글을 달아주세요:: 네티켓은 기본, 스팸은 사절


카테고리

분류 전체보기 (447)
Science (283)
ars boni et aequi (55)
Routine (83)
Language (23)
Q&A (1)
me2day (1)

달력

«   2020/09   »
    1 2 3 4 5
6 7 8 9 10 11 12
13 14 15 16 17 18 19
20 21 22 23 24 25 26
27 28 29 30